
Redmine - Defect #3929

Error parsing svn output: #<REXML::ParseException: No close tag for /lists/list>

2009-09-27 00:16 - Zachary Crockett

Status: Closed Start date: 2009-09-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 0.8.5

Description

I'm running redmine on the same server as an SVN repository.  The repo is accessed with the svn protocol using svnserve listening

on a non-standard port.  If the redmine repo settings use a file:/// URL then all goes well.  (That's my workaround for now, which

would not help users for whom redmine and the repo are on separate servers.)  If I put the svn:// URL in the repo settings with the

correct username and password, I get the following error on any attempt to view the repo: "The entry or revision was not found in the

repository."  The error in the redmine logs is the subject of this defect: "Error parsing svn output: #<REXML::ParseException: No

close tag for /lists/list>"  AFAIK, as shown below, there are, in fact, closing </list> and </lists> tags.

Production log pasted below.  If I run redmine in development mode, scm.stderr.log is not created (I saw this referred to in some

forum posts), only the development.log.  The start of the debug log (before the exact same stack trace) is pasted below.  If I copy and

paste the exact command shelled out to svn according to the dev logs, either on the server or on my laptop, the output is exactly as it

should be.  That XML output is also pasted below; it has a line break in the list tag, which shouldn't matter, but makes me suspicious.

On the other hand, the dev logs seem to contain 2 successful svn info commands before the failing svn list command.  When I copy

and paste the svn info command in my terminal, the output also has elements containing line breaks.

My searches in the forums have yielded these items which I've ruled out.

I'm not using https and there's no certificate to accept

Redmine knows that the svn binary is at /usr/bin/svn

Component Versions

MySQL 5.1.37

Ruby 1.8.7 (x86_64-linux)

Rails 2.1.2

Redmine 0.8.5.stable.2902

SVN 1.6.5 (r38866)

Production Log with Stack Trace

Processing RepositoriesController#show (for 206.55.180.50 at 2009-09-26 16:15:23) [GET]

  Session ID: c0d0eed67ab87f2098815bd0eb7b0547

  Parameters: {"action"=>"show", "id"=>"energy-star", "controller"=>"repositories"}

Error parsing svn output: #<REXML::ParseException: No close tag for /lists/list>

/usr/lib/ruby/1.8/rexml/parsers/treeparser.rb:28:in `parse'

/usr/lib/ruby/1.8/rexml/document.rb:227:in `build'

/usr/lib/ruby/1.8/rexml/document.rb:43:in `initialize'

/srv/http/nginx/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:85:in `new'

/srv/http/nginx/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:85:in `entries'

/srv/http/nginx/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:177:in `call'

/srv/http/nginx/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:177:in `shellout'

/srv/http/nginx/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:175:in `popen'

/srv/http/nginx/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:175:in `shellout'

/srv/http/nginx/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:165:in `shellout'

/srv/http/nginx/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:82:in `entries'

/srv/http/nginx/redmine/app/models/repository.rb:63:in `entries'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_proxy.rb

:173:in `send'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/associations/association_proxy.rb

:173:in `method_missing'
/srv/http/nginx/redmine/app/controllers/repositories_controller.rb:71:in `show'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1166:in `send'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1166:in `perform_action

_without_filters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:579:in `call_filters

'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:572:in `perform_acti

on_without_benchmark'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in `perform_

action_without_rescue'

/usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in `perform_

action_without_rescue'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/rescue.rb:201:in `perform_actio

n_without_caching'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:13:in `per

form_action'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/quer

y_cache.rb:33:in `cache'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/query_cache.rb:8:in `cache'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:12:in `per

form_action'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `send'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `process_without

_filters'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:568:in `process_with

out_session_management_support'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/session_management.rb:130:in `p

rocess'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:389:in `process'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:149:in `handle_re

quest'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:107:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in `synchroni

ze'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:120:in `dispatch_

cgi'

/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:35:in `dispatch'

/usr/lib/ruby/gems/1.8/gems/thin-1.2.4/lib/rack/adapter/rails.rb:87:in `call'

/usr/lib/ruby/gems/1.8/gems/thin-1.2.4/lib/rack/adapter/rails.rb:75:in `call'

/usr/lib/ruby/gems/1.8/gems/thin-1.2.4/lib/thin/connection.rb:76:in `pre_process'

/usr/lib/ruby/gems/1.8/gems/thin-1.2.4/lib/thin/connection.rb:74:in `catch'

/usr/lib/ruby/gems/1.8/gems/thin-1.2.4/lib/thin/connection.rb:74:in `pre_process'

/usr/lib/ruby/gems/1.8/gems/thin-1.2.4/lib/thin/connection.rb:57:in `process'

/usr/lib/ruby/gems/1.8/gems/thin-1.2.4/lib/thin/connection.rb:42:in `receive_data'

/usr/lib/ruby/gems/1.8/gems/eventmachine-0.12.8/lib/eventmachine.rb:242:in `run_machine'

/usr/lib/ruby/gems/1.8/gems/eventmachine-0.12.8/lib/eventmachine.rb:242:in `run'

/usr/lib/ruby/gems/1.8/gems/thin-1.2.4/lib/thin/backends/base.rb:57:in `start'

/usr/lib/ruby/gems/1.8/gems/thin-1.2.4/lib/thin/server.rb:156:in `start'

/usr/lib/ruby/gems/1.8/gems/thin-1.2.4/lib/thin/controllers/controller.rb:80:in `start'

/usr/lib/ruby/gems/1.8/gems/thin-1.2.4/lib/thin/runner.rb:174:in `send'

/usr/lib/ruby/gems/1.8/gems/thin-1.2.4/lib/thin/runner.rb:174:in `run_command'

/usr/lib/ruby/gems/1.8/gems/thin-1.2.4/lib/thin/runner.rb:140:in `run!'

/usr/lib/ruby/gems/1.8/gems/thin-1.2.4/bin/thin:6

/usr/bin/thin:19:in `load'

/usr/bin/thin:19

...

No close tag for /lists/list

Line: 

Position: 

Last 80 unconsumed characters:

Output was:

 <?xml version="1.0"?>

<lists>

<list

   path="svn://mydomain.com:29999/myrepo">
Rendering template within layouts/base

Completed in 0.27201 (3 reqs/sec) | Rendering: 0.02800 (10%) | DB: 0.00400 (1%) | 500 Internal Ser

ver Error [http://mydomain.com/repositories/show/myproject]

 

Partial Development Log with Shellout

Processing RepositoriesController#show (for 206.55.180.50 at 2009-09-26 15:25:03) [GET]

  Session ID: c0d0eed67ab87f2098815bd0eb7b0547

  Parameters: {"action"=>"show", "id"=>"energy-star", "controller"=>"repositories"}

  Setting Columns (0.000000)   SHOW FIELDS FROM `settings`

  SQL (0.000000)   SELECT max(`settings`.updated_on) AS max_updated_on FROM `settings` 

  Setting Load (0.000000)   SELECT * FROM `settings` WHERE (`settings`.`name` = 'autologin') LIMIT

 1

  Token Columns (0.000000)   SHOW FIELDS FROM `tokens`

  Token Load (0.000000)   SELECT * FROM `tokens` WHERE (`tokens`.`value` = '96d5e19d619109221117db

4d1e141583127d5bb3' AND `tokens`.`action` = 'autologin') 

  User Columns (0.004000)   SHOW FIELDS FROM `users`

  User Load (0.000000)   SELECT * FROM `users` WHERE (`users`.`id` = 1) 

  Project Columns (0.000000)   SHOW FIELDS FROM `projects`

  Project Load (0.000000)   SELECT * FROM `projects` WHERE (`projects`.`identifier` = 'myproject')

 LIMIT 1

  Repository Load (0.000000)   SELECT * FROM `repositories` WHERE (`repositories`.project_id = 1) 

LIMIT 1

  Repository Columns (0.000000)   SHOW FIELDS FROM `repositories`

  EnabledModule Load (0.000000)   SELECT * FROM `enabled_modules` WHERE (`enabled_modules`.project

_id = 1) 

  EnabledModule Columns (0.004000)   SHOW FIELDS FROM `enabled_modules`

  Setting Load (0.004000)   SELECT * FROM `settings` WHERE (`settings`.`name` = 'autofetch_changes

ets') LIMIT 1

  Repository::Subversion Columns (0.000000)   SHOW FIELDS FROM `repositories`

Shelling out: svn info --xml 'svn://mydomain.com:29999/myrepo/' --username 'myuser' --password 'my

password'

  SQL (0.000000)   BEGIN

  SQL (0.000000)   COMMIT

Shelling out: svn info --xml 'svn://mydomain.com:29999/myrepo/' --username 'myuser' --password 'my

password'

  SQL (0.000000)   BEGIN

  SQL (0.000000)   COMMIT

Shelling out: svn list --xml 'svn://mydomain.com:29999/myrepo/'@HEAD --username 'myuser' --passwor

d 'mypassword'

Error parsing svn output: #<REXML::ParseException: No close tag for /lists/list>

 

XML Output by SVN list command

<?xml version="1.0"?>

<lists>

<list

   path="svn://mydomain.com:29999/myrepo">

<entry

   kind="dir">

<name>branches</name>

<commit

   revision="3">

<author>userxxx</author>

<date>2009-09-13T22:13:46.989534Z</date>

</commit>

</entry>

<entry

   kind="dir">

<name>tags</name>

<commit

   revision="2">

<author>userxxx</author>

<date>2009-09-13T22:13:11.199495Z</date>

</commit>
</entry>

<entry

   kind="dir">

<name>trunk</name>

<commit

   revision="11">

<author>userxxx</author>

<date>2009-09-25T19:26:27.486546Z</date>

</commit>

</entry>

</list>

</lists>

Related issues:

Related to Redmine - Defect #8823: Error parsing svn output: #<REXML::ParseEx... Closed 2009-09-26

History

#1 - 2009-10-10 10:50 - Captain Chaos

Hello,

Yesterday I installed a BitNami stack which includes Redmine 0.8.5 and Subversion 1.6.2 and I ran into the same problem. I already had a stack with

Redmine 0.8.2 which ran fine against a different Subversion (on a different machine), so I first checked the log. Redmine found my Subversion

repository and ran into the same parsing error:

_Processing RepositoriesController#edit (for 10.0.0.21 at 2009-10-09 11:49:52) [POST]

Session ID: 6e214a0ba626f05646c679b9f4bbe4ff

Parameters: {"repository"=>{"url"=>"svn://xxxx-subversion1:3690/Infrastructuur", "password"=>"[FILTERED]", "login"=>"xxxx"}, "commit"=>"Create",

"action"=>"edit", "id"=>"infrastucture", "controller"=>"repositories", "repository_scm"=>"Subversion"}

Completed in 0.04832 (20 reqs/sec) | Rendering: 0.02585 (53%) | DB: 0.00648 (13%) | 200 OK

_Processing RepositoriesController#show (for 10.0.0.21 at 2009-10-09 12:10:36) [GET]

Session ID: 6e214a0ba626f05646c679b9f4bbe4ff

Parameters: {"action"=>"show", "id"=>"infrastucture", "controller"=>"repositories"}

Error parsing svn output: #<REXML::ParseException: No close tag for /lists/list>

/home/xxxx/redmine-0.8.5-0/ruby/lib/ruby/1.8/rexml/parsers/treeparser.rb

Today, after no change, surprise: everything is OK!  This means imho that the parsing error is actually a timeout; appearantly it has not read all info.

Indeed, I was setting up a Redmine project but the Subversion project created contained very little, so I never anticipated in running into a long

parsing process which could screw up.

Notes:

the Redmine and Subversion are running on the same PC running Ubuntu and nothing else is being done there.

the Subversion used was installed inside the installation directory for Redmine; I used the BitNami stack without modification, except I added a

repository path in some script where svnserve is called.

I verified proper access and working of Subversion server using a client on another machine, using the same URL to access, i.e. svn://etc

#2 - 2009-10-11 02:49 - Bruno Medeiros

I'm in the same problem here.

My Redmine worked pretty well util I upgrade SVN to 1.6. Initially it stopped to grab reviews from my repo. Searching on the web I discovered that

cause of the problem and workaround that disabling the interactivity of my SVN client. At this time (few months ago)  I'd not tested the diff view.

Now I discovered that the diff view (nor the SVN Resource views) is not working any more, with the same error above.

Processing RepositoriesController#show (for 201.51.219.6 at 2009-10-10 21:01:00) [GET]

  Session ID: c2c839b2b3b88a57c6f34c857d95f395

  Parameters: {"action"=>"show", "id"=>"ctx-cec", "controller"=>"repositories"}

Error parsing svn output: #<REXML::ParseException: No close tag for /lists/list>

/usr/lib/ruby/1.8/rexml/parsers/treeparser.rb:28:in `parse'

/usr/lib/ruby/1.8/rexml/document.rb:227:in `build'

/usr/lib/ruby/1.8/rexml/document.rb:43:in `initialize'

/usr/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:85:in `new'

...

 Any ideas?

How could I help to solve that?
#3 - 2009-10-11 09:17 - Jean-Philippe Lang

Subversion version is not the problem. I run the tests with svn 1.6.3.

#4 - 2009-10-11 11:04 - Captain Chaos

If you experience similar problems, I would verify some settings first:

can you use a Subversion client like RapidSVN or Tortoise to access the repository?

does your Redmine project use exactly the same svn URL and user credentials?

This way, you rule out that it is subversion. I noticed that the subversion which is included in the BitNami stack uses a script to launch the svnserve to

listen to some port but without specification of the repository. The BitNami subversion stack however, does use the same script but it does specify the

path of the repository. This prevented me to use RapidSVN to access some svn URL when the 'new' subversion was up.

I still don't understand why appearantly it was a timeout problem on an initial connection; I was creating a new Subversion repository as well as a new

Redmine, but that must have been the problem because it suddenly ran perfectly the next morning.

#5 - 2009-10-12 18:53 - Bruno Medeiros

Hi all,

I solved my problem!

First time I had problems with SVN 1.6, I found a blog with some instructions of how to solve those problems. But I made a mistake and edited the

SVN config only of the user root (and my mongrel cluster is running with user apache). That's the reason why my Redmine could get the revisons (by

cron task, user root) but couldn't show diffs and resources (in the webapp, user apache).

After discover that, I edited my /var/www/.subversion/config (where /var/www is the home dir of user 'apache') the way blog says and Redmine is

showing diffs and resources pretty well now.

The uncommented lines were:

store-passwords = no

store-auth-creds = no

 Jean,

Some of problems related with SVN integration could be caused by this SVN default behaviour change. Is there a way to force Redmine to use

non-interactive commands?

#6 - 2009-11-04 12:36 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Is there a way to force Redmine to use non-interactive commands?

 It is done in r2819 and fixed in 0.8.6 release.

Thanks for your feedback.

#7 - 2009-11-25 14:27 - Jacob V Thomas

- Status changed from Closed to Reopened

Hi All,

The bug is active, I tried by updating the r2819 subversion adapter and I am stucked with this bug. I am able to run the command through terminal. 

the development log details exactly match the open thread.

I believe it has something to do with the svn version, as I had a working copy of redmine at my development server which i have fixed before 2 or

three months ( it was of certificate issue), when I rechecked today by adding a new project I'm getting this error.

Thanks,

Jacob V Thomas

Jean-Philippe Lang wrote:

Is there a way to force Redmine to use non-interactive commands?
 It is done in r2819 and fixed in 0.8.6 release.

Thanks for your feedback.

#8 - 2010-01-25 04:40 - Nico Brenner

Hi, I just went through quite a hassle to get Redmine working with svn+ssh. I kept getting a 500 Internal Server Error, checking the log I discovered a

problem like the one on this ticket, with a "No close tag for /lists/list" message, nevertheless it didn't make any sense to me.

I was running Redmine behind Apache, according to the instructions here: 

http://www.redmine.org/wiki/redmine/HowTo_configure_Apache_to_run_Redmine. The problem with this was I couldn't see what was going on, so I

switched to running it from the redmine dir using "ruby script/server -e production". Then I was able to see the problem was Redmine needed an

additional password and it was asking for it on the console. Since of course I didn't want to or could enter the password each time, I did the following:

Edited lib/redmine/scm/adapters/subversion_adapter.rb line 228 and removed the "--no-auth-cache" option

Edited /etc/passwd to enable a shell for apache

Gave write permission to apache on /var/www (it's home dir according to /etc/passwd)

Checked out my svn project so subversion would cache the password

Set up password-less ssh login on the svn server with a public key for user apache (followed these instructions: 

http://blogs.translucentcode.org/mick/archives/000230.html)

Tested the password-less ssh login

Edited /etc/passwd to disable the shell for apache

Then everything worked fine. Now I'm having another problem with yum and some package dependencies to install mod_fastcgi, but that's another

story. Hope this helps.

#9 - 2010-01-25 04:46 - Nico Brenner

Sorry, I missed a few steps on the instructions... (you need to be root to start with, and at one point you need to do some stuff as the apache user, at

least on CentOS)

As root

Edited lib/redmine/scm/adapters/subversion_adapter.rb line 228 and removed the "--no-auth-cache" option

Edited /etc/passwd to enable a shell for apache

Gave write permission to apache on /var/www (it's home dir according to /etc/passwd)

Changed user to apache using the su command (su apache)

Checked out my svn project so subversion would cache the password

Set up password-less ssh login on the svn server with a public key for user apache (followed these instructions: 

http://blogs.translucentcode.org/mick/archives/000230.html)

Tested the password-less ssh login

Switched back to root (logged out of the apache shell)

Edited /etc/passwd to disable the shell for apache

#10 - 2010-01-25 04:51 - Nico Brenner

Sorry, forgot some steps for the instructions:

As root

Edited lib/redmine/scm/adapters/subversion_adapter.rb line 228 and removed the "--no-auth-cache" option

Edited /etc/passwd to enable a shell for apache

Gave write permission to apache on /var/www (it's home dir according to /etc/passwd)

Changed user to apache using the su command (su apache)

Checked out my svn project in /var/www just so subversion would cache the password

Set up password-less ssh login on the svn server with a public key for user apache (followed these instructions: 

http://blogs.translucentcode.org/mick/archives/000230.html)

Tested the password-less ssh login

Switched back to root (logged out of the apache shell)

Edited /etc/passwd to disable the shell for apache

Deleted the checked-out project in /var/www

#11 - 2010-04-12 21:29 - Bruno Medeiros

It's working for me, no need to manually configure svn as I said on http://www.redmine.org/issues/3929#note-5 when I upgraded redmine to 0.9.3.

Thanks!

#12 - 2010-05-03 09:25 - John B

I'm having this issue with 0.9.4.devel.3731 while trying to set up automatic repository creation. Repositories that work with my other redmine instance

(same version) aren't working either in the Repository Creation WS-enabled server.

#13 - 2010-06-01 22:26 - Everard Brown

I am also having this problem:
redmine-0.9.3

subversion-1.6.9

Maybe this is a red herring but...

When I run 'svn list -xml' via CLI, there is a long pause in the output exactly at the place where redmine reports the error. Is it possible that the

REXML parser is terminating it's input due to some kind of time out?

#14 - 2010-06-01 22:48 - Everard Brown

Everard Brown wrote:

I am also having this problem:

redmine-0.9.3

subversion-1.6.9

Maybe this is a red herring but...

When I run 'svn list -xml' via CLI, there is a long pause in the output exactly at the place where redmine reports the error. Is it possible that the

REXML parser is terminating it's input due to some kind of time out?

 It was indeed a red-herring. I switched from mongrel back to WEBrick and it is working again now - if I find out what's up with my mongrel setup I'll

report back.

#15 - 2010-06-08 01:15 - Bryce Nordgren

I'm having the same problem with:

Redmine trunk from the git mirror on 4/26/2010

Ruby 1.8.7

Subversion 1.6.9

WEBrick server (Apache acts as a gateway)

file:/// urls on the same server.

It's only for a single, private project. There is no delay when running the svn command manually. The returned xml from the manual run is well

formed, according to Oxygen XML Author.

The problem persists with or without a username and password.

Crap...

When running the command manually as the redmine user...

[root@collab redmine]# su redmine -c "svn list --xml 'file:///mnt/infomaster/svn/website-technical/'@HEAD \

   --username xxxx --password xxxx --no-auth-cache --non-interactive" 

<?xml version="1.0"?>

<lists>

<list

   path="file:///mnt/infomaster/svn/website-technical">

svn: Unable to open an ra_local session to URL

svn: Unable to open repository 'file:///mnt/infomaster/svn/website-technical'

svn: Can't open file '/mnt/infomaster/svn/website-technical/format': Permission denied

 It matters who you run it as...

I can understand the permissions problem, but I don't understand why it impacts only this one repository...Permissions seem to be identical...

#16 - 2010-06-08 08:13 - Felix Schäfer

Bryce Nordgren wrote:

The problem persists with or without a username and password.

When running the command manually as the redmine user...

[...]

It matters who you run it as...

I can understand the permissions problem, but I don't understand why it impacts only this one repository...Permissions seem to be identical…

 svn file:// doesn't give a crap about users and passwords, it accesses the repository directly and is governed only by file permissions, in other words:

you can either ditch them or change the transport/protocol you use to access your repository. Next, your problem is that repo_dir/format has
permissions that don't allow the redmine user to open it, probably because you have committed to that repository as root. chown -R the whole

repository to something the redmine user can read an write to and you should be good.

#17 - 2010-06-29 22:20 - Bryce Nordgren

I finally got back to this.

My problem is that redmine runs as the redmine user and apache runs as a different user. My repositories are created with reposman.rb, using the

owner for apache. reposman.rb only sets world readable permissions for public projects. Worse, even if you change the username and permissions

for your repositories so that redmine can see them, reposman.rb will undo your fixes the next time it runs.

I ended up editing reposman.rb to always set world readable permissions on repositories. There are no users on this server, so access to the repo is

always through Apache and/or the Redmine app.

#18 - 2010-06-29 23:56 - Felix Schäfer

Well, you could just run reposman as the same user redmine runs as.

#19 - 2010-07-10 22:08 - Felix Schäfer

- Status changed from Reopened to Closed

Closing this as I can't really see a problem anymore. If anyone still experiences similar problems, please open a new issue and link back to this one,

it's become really hard to get any useful info from the conversation here.

#20 - 2010-08-03 22:08 - Ben Cochran

I was running into this same problem and here's what I ended up doing to resolve it...

As mentioned up above, there were issues with SVN interactivity, added this to ~/.subversion/config:

[auth]

store-passwords = no

store-auth-creds = no

Which did not solve the problem, what did solve it was found at this link:

http://www.question-defense.com/2009/03/20/setting-up-redmine-svn-repositories-timing-out-when-attempting-to-view

$ ruby script/runner "Repository.fetch_changesets" -e production

I ran this after setting up my SVN repository information and it worked like a charm.  My SVN environment is somewhat unique with > 100000

commits and a large number of projects jumbled together.

Running svn list --xml manually would give me proper output, however in the production log there was evidence it was never seeing a closed tag,

indicating that the request timed out.  Given that the timeout on the 'repository' tab pane is pretty quick, I'm not entirely surprised...

In lieu of creating a new issue, leaving my solution here for someone else who stumbles upon it.

#21 - 2010-09-08 04:48 - Ве Fio

Made a new issue regarding this problematic error. #6312

#22 - 2010-09-08 11:13 - Joonas Pulakka

I found that that parse exception can be caused by permission issues. See #6327.

#23 - 2011-07-14 23:46 - Sergey Kolodyazhnyy

- Status changed from Closed to Reopened

Hi,

I still have XML parsing error:

No close tag for /lists/list

Line:.

Position:.

Last 80 unconsumed characters:

Output was:

 <?xml version="1.0"?>

<lists>

<list

   path="https://mysvnrepository/svn/project1">

 My environment:
Redmine version: 1.2-stable (up-to-date from repository)

VisualSVN server

SVN client 1.6

Apache 2.2 + mod_passanger

Also I describe my problem here: http://www.redmine.org/boards/1/topics/25086?r=25103

#24 - 2011-07-15 00:36 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Felix Schäfer wrote in note 19:

Closing this as I can't really see a problem anymore. If anyone still experiences similar problems, please open a new issue and link back to this

one, it's become really hard to get any useful info from the conversation here.

#25 - 2011-07-15 00:44 - Toshi MARUYAMA

Sergey Kolodyazhnyy wrote:

Hi,

I still have XML parsing error:

 Did you try this issue notes?

Did you try "svn info" and "svn ls" as apache passenger user(uid).

#26 - 2011-07-15 10:10 - Sergey Kolodyazhnyy

Closing this as I can't really see a problem anymore. If anyone still experiences similar problems, please open a new issue and link back to this

one, it's become really hard to get any useful info from the conversation here.

 Sorry, I missed it

Did you try this issue notes?

 yes

Did you try "svn info" and "svn ls" as apache passenger user(uid).

 yes, it's work

I have opened new issue: #8823
